Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002024Core InformReleasing, bibliographic data, cBlorbpublic2017-07-31 17:322017-08-16 02:37
ReporterJaredReisinger 
Assigned To 
PrioritynormalSeverityseriousReproducibilityalways
StatusnewResolutionopen 
Platformx86OSmacOSOS Version10.12.6
Product Version6M62 
Target VersionFixed in Version 
Summary0002024: Released stories are missing ZCOD chunk
DescriptionAttempting to play a generated/released game on a different interpreter reports that there's a missing ZCOD chunk (for the fizmo clients), or results in a UI that won't take input (Gargoyle and Zoom). The happens regardless of whether I'm targeting Glulx or ZCode.
Minimal Source Text To Reproduce
"Trivial" by Jared Reisinger

Example Location is a room. 
Additional InformationI have tried both the 6M62 release from the inform7.com site, and also the "fixed Sierra" release from http://inform7.com/mantis/view.php?id=1953#c4651. [^]

Running the story from within Inform (with "Go!") works just fine.

Running other games in the other interpreters works just fine. (So I surmise they aren't being afflicted by whatever it was that caused 6M62 to need an update.)

I have run other versions of Inform on other platforms, and everything has been fine... so this may be very specific to *this* version on *this* platform. (And it also means that I, personally, should be able to work around the problem by using said other machine to do my releases.)
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0004709)
JaredReisinger (reporter)
2017-07-31 17:35

Note that I can also reproduce the problem whether I create a blorb or not: .z8, .ulx, .zblorb, and .gblorb output *all* exhibit the same issues for me.
(0004710)
zarf (developer)
2017-07-31 21:29

Can you attach the .gblorb file generated when you do a release (with glulx+blorb)?
(0004711)
JaredReisinger (reporter)
2017-08-01 09:59

I'd be happy to, if you can let me know *how* to do so. I see the "Attached Files" section above, with a "Monitor" button, but nothing that would indicate how I could upload/attach a file. I tried to drag/drop, but that only resulted in my browser (Chrome on macOS) insta-downloading the file I dropped... basically redirecting it into my Downloads folder.

(If all else fails, I could gzip/base64 the thing... it's just under 300KB transformed that way.)
(0004712)
JaredReisinger (reporter)
2017-08-08 11:12
edited on: 2017-08-08 11:13

Next-best option... here's a link to the file: https://1drv.ms/u/s!AJBvB07UWf-XouBT [^]

I think this may be an interpreter problem... I can see that the gblorb has a GLUL chunk. (Not sure why the terp complains about ZCOD, as it is a Glulx variant.) I'll see if I can divine anything else... this gives me a good excuse to learn the details of the low-level format.

(0004713)
DavidK (developer)
2017-08-16 02:37

The linked Glulx file looks fine to me - on Windows, at least, it opens without problem with several Glulx interpreters and waits for input.

- Issue History
Date Modified Username Field Change
2017-07-31 17:32 JaredReisinger New Issue
2017-07-31 17:35 JaredReisinger Note Added: 0004709
2017-07-31 21:29 zarf Note Added: 0004710
2017-08-01 09:47 JaredReisinger Issue Monitored: JaredReisinger
2017-08-01 09:47 JaredReisinger Issue End Monitor: JaredReisinger
2017-08-01 09:59 JaredReisinger Note Added: 0004711
2017-08-08 11:12 JaredReisinger Note Added: 0004712
2017-08-08 11:13 JaredReisinger Note Edited: 0004712 View Revisions
2017-08-16 02:37 DavidK Note Added: 0004713


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker